api_platform:
    title: Siilab
    version: 2.0.0
    formats:
        json: ["application/json"]
        jsonld: ["application/ld+json"]
    docs_formats:
        jsonld: ["application/ld+json"]
        jsonopenapi: ["application/vnd.openapi+json"]
        html: ["text/html"]
    patch_formats:
        json: ["application/merge-patch+json"]
    defaults:
        cache_headers:
            vary: ["Content-Type", "Authorization", "Origin"]
        pagination_enabled: false
        pagination_items_per_page: 24
        normalization_context:
            skip_null_values: true
        extra_properties:
            standard_put: true
            rfc_7807_compliant_errors: true
    keep_legacy_inflector: false
    path_segment_name_generator: api_platform.metadata.path_segment_name_generator.dash
    mapping:
        paths:
            - "%kernel.project_dir%/src/Shared/User/Entity"
            - "%kernel.project_dir%/src/Shared/Message/Entity"
            - "%kernel.project_dir%/src/Shared/Location/Entity"
            - "%kernel.project_dir%/src/Shared/Carl/Entity"
            - "%kernel.project_dir%/src/Shared/Document/Entity"
            - "%kernel.project_dir%/src/Shared/Ged/Entity"
            - "%kernel.project_dir%/src/Shared/ReverseGeocoding/Entity"
            - "%kernel.project_dir%/src/Shared/SiilabConfiguration/Entity"
            - "%kernel.project_dir%/src/ServiceOffer/ServiceOffer/Entity"
            - "%kernel.project_dir%/src/InterventionServiceOffer/ConfigurationTableauDeMesures/Entity"
            - "%kernel.project_dir%/src/InterventionServiceOffer/DemandeIntervention/Entity"
            - "%kernel.project_dir%/src/InterventionServiceOffer/Equipement/Entity"
            - "%kernel.project_dir%/src/InterventionServiceOffer/Intervention/Entity"
            - "%kernel.project_dir%/src/InterventionServiceOffer/InterventionServiceOffer/Entity"
            - "%kernel.project_dir%/src/InterventionServiceOffer/Gmao/Entity"
            - "%kernel.project_dir%/src/InterventionServiceOffer/GmaoActeur/Entity"
            - "%kernel.project_dir%/src/InterventionServiceOffer/SearchEntity/Entity"
            - "%kernel.project_dir%/src/ElusServiceOffer/Intervention/Entity"
            - "%kernel.project_dir%/src/ElusServiceOffer/Dashboard/Entity"
            - "%kernel.project_dir%/src/LogisticServiceOffer/LogisticServiceOffer/Entity"
            - "%kernel.project_dir%/src/LogisticServiceOffer/Article/Entity"
            - "%kernel.project_dir%/src/LogisticServiceOffer/Emplacement/Entity"
            - "%kernel.project_dir%/src/LogisticServiceOffer/Intervention/Entity"
            - "%kernel.project_dir%/src/LogisticServiceOffer/Mouvement/Entity"
            - "%kernel.project_dir%/src/LogisticServiceOffer/MouvementDeSortie/Entity"
            - "%kernel.project_dir%/src/LogisticServiceOffer/Gmao/Entity"
            - "%kernel.project_dir%/src/LogisticServiceOffer/ArticleReservation/Entity"
